Subject: Re: bug#34688: 26.1; Crash on Pasting from Windows clipboard

From: Noam Postavsky <[email-masked]>
Date: Mon, 1 Apr 2019 15:15:52 -0400

On Thu, 28 Feb 2019 at 14:06, Patrick Brennan <[email-masked]> wrote:

> Starting from any Windows program, select text and press C-c to copy
> text into the Windows clipboard.
>
> Switch to Emacs. Press C-y to paste into the Emacs buffer.
>
> Emacs will crash and display a dialog asking whether the user wishes to
> debug or generate a crash trace. I tried to write the crash trace but I
> have been unsuccessful in trying to locate this file; I suspect it is
> not, in fact, written out under Windows.
>
> I just updated Windows this morning when the bug first manifested, so it
> is a pretty good bet that this is related. On another Windows computer,
> this behavior does not manifest.
>
>
> In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)
>  of 2018-05-30 built on CIRROCUMULUS
> Repository revision: 07f8f9bc5a51f5aa94eb099f3e15fbe0c20ea1ea
> Windowing system distributor 'Microsoft Corp.', version 10.0.18342

I can't reproduce this on my Windows 10 system. Emacs reports

    Windowing system distributor 'Microsoft Corp.', version 10.0.17763

So perhaps I have an older version, even though I have applied all
updates (as far as I know)?